QCAT - Task #1784

User Story # 1781 (Closed): Versioning of configuration
Caching: aware of version

06 Feb 2018 14:29 - Sebastian Manger

Status: Closed Start date: 06 Feb 2018
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 16.00 hours
Target version: Carbon Benefit Spent time: 16.00 hours
Resolution:

Description

Notes

e Caching must include the version of a configuration.

Estimate breakdown

e Update get_configuration method, and all calls to it: 6h
e Serializer (API) needs to be updated as well (4h)
e Tests: 6h

History

#1 - 06 Feb 2018 17:50 - Sebastian Manger
- Description updated

- Estimated time set to 8.00 h

#2 - 06 Feb 2018 17:52 - Sebastian Manger
- Description updated

- Estimated time changed from 8.00 h to 10.00 h

#3 - 08 Feb 2018 11:10 - Lukas Vonlanthen
- translation missing: en.field_tag_list set to Required
- Description updated

- Estimated time changed from 10.00 h to 16.00 h

#4 - 27 Feb 2018 09:52 - Kurt Gerber

- Status changed from New to Accepted

#5 - 27 Feb 2018 09:54 - Kurt Gerber
- Priority changed from Normal to High

#6 - 12 Apr 2018 09:46 - Sebastian Manger

- Status changed from Accepted to In Progress

#7 - 04 Jul 2018 10:02 - Lukas Vonlanthen

- Status changed from In Progress to Closed
